### Function

# Pango BidiType for_unichar

since: 1.22

#### Declaration [src]

    PangoBidiType
    pango_bidi_type_for_unichar (
      gunichar ch
    )

#### Description [src]

Determines the bidirectional type of a character.

The bidirectional type is specified in the Unicode Character Database.

A simplified version of this function is available as `pango_unichar_direction()`.

Available since: 1.22

#### Parameters

`ch`

  Type: `gunichar`

  A Unicode character.

#### Return value

Type: `PangoBidiType`

The bidirectional character type, as used in the Unicode bidirectional algorithm.